﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KeyActionMapping
{
    public class GridInfo
    {
        private static DataSet ds = new DataSet();

        public static DataSet GetAppointments()
        {
            DataTable theAppointments = ds.Tables.Add("Appointments");
            theAppointments.Columns.Add("AppointmentID", typeof(int));
            theAppointments.Columns.Add("StartTime", typeof(DateTime));
            theAppointments.Columns.Add("EndTime", typeof(DateTime));
            theAppointments.Columns.Add("Subject", typeof(string));
            theAppointments.Columns.Add("OwnerKey", typeof(string));

            theAppointments.Rows.Add(new object[] { "1", DateTime.Today.AddHours(2.45), DateTime.Today.AddHours(3), "Sprint Review", "Charlie" });
            theAppointments.Rows.Add(new object[] { "2", "8/7/2014 8:00:00 AM", "8/7/2014 08:30:00 AM", "Scrum Meet", "Jamie" });
            theAppointments.Rows.Add(new object[] { "3", "8/7/2014 9:00:00 AM", "8/7/2014 09:30:00 AM", "Status Meeting", "Lukas" });
            theAppointments.Rows.Add(new object[] { "4", "8/7/2014 8:45:00 AM", "8/7/2014 09:00:00 AM", "Feature Review", "Lopez" });

            DataTable notes = ds.Tables.Add("Notes");
            notes.Columns.Add("NoteID", typeof(int));
            notes.Columns.Add("SubjectNote", typeof(string));
            notes.Columns.Add("OwnerKey", typeof(string));

            notes.Rows.Add(new object[] { "1", "Sprint Review", "Charlie" });
            notes.Rows.Add(new object[] { "2", "Scrum Meet", "Jamie" });
            notes.Rows.Add(new object[] { "3", "Status Meeting", "Lukas" });
            notes.Rows.Add(new object[] { "4", "Feature Review", "Lopez" });
            notes.Rows.Add(new object[] { "5", " Review", "Lopez" });

            DataTable theOwners = ds.Tables.Add("Owners");
            theOwners.Columns.Add("OwnerID", typeof(int));
            theOwners.Columns.Add("Name", typeof(string));
            theOwners.Columns.Add("OwnerKey", typeof(string));

            theOwners.Rows.Add(new object[] { "1", "Maria Charlie", "Charlie" });
            theOwners.Rows.Add(new object[] { "2", "John Jamie", "Jamie" });
            theOwners.Rows.Add(new object[] { "3", "Matthew Lukas", "Lukas" });
            theOwners.Rows.Add(new object[] { "4", "Leah Lopez", "Lopez" });

            ds.Relations.Add(theOwners.Columns["OwnerKey"], theAppointments.Columns["OwnerKey"]);
            ds.Relations.Add(theOwners.Columns["OwnerKey"], notes.Columns["OwnerKey"]);

            return ds;
        }
    }
}
